Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | List of all members
faiss::RandomRotationMatrix Struct Reference

Randomly rotate a set of vectors. More...

`#include <VectorTransform.h>`

Inheritance diagram for faiss::RandomRotationMatrix:

## Public Member Functions
| RandomRotationMatrix (int d_in, int d_out)
| both d_in > d_out and d_out < d_in are supported
void | init (int seed)
| must be called before the transform is used
virtual void | reverse_transform (idx_t n, const float *xt, float *x) const override
Public Member Functions inherited from faiss::LinearTransform
| LinearTransform (int d_in=0, int d_out=0, bool have_bias=false)
| both d_in > d_out and d_out < d_in are supported
virtual void | apply_noalloc (idx_t n, const float *x, float *xt) const
| same as apply, but result is pre-allocated
void | transform_transpose (idx_t n, const float *y, float *x) const
const float * | maybe_subsample_train_set (Index::idx_t *n, const float *x)
Public Member Functions inherited from faiss::VectorTransform
| VectorTransform (int d_in=0, int d_out=0)
| ! output dimension
virtual void | train (idx_t n, const float *x)
float * | apply (idx_t n, const float *x) const

## Additional Inherited Members
Public Types inherited from faiss::VectorTransform
typedef Index::idx_t | idx_t
Public Attributes inherited from faiss::LinearTransform
bool | have_bias
std::vector< float > | A
| ! whether to use the bias term More...
std::vector< float > | b
| bias vector, size d_out
size_t | max_points_per_d
bool | verbose
Public Attributes inherited from faiss::VectorTransform
int | d_in
int | d_out
| ! input dimension
bool | is_trained

## Detailed Description

Randomly rotate a set of vectors.

Definition at line 118 of file VectorTransform.h.

## Member Function Documentation

void RandomRotationMatrix::reverse_transform | ( | idx_t | n,
|  | const float * | xt,
|  | float * | x
| ) |  | const
| override virtual

reverse transformation. May not be implemented or may return approximate result

Reimplemented from faiss::VectorTransform.

Definition at line 206 of file VectorTransform.cpp.

The documentation for this struct was generated from the following files:

- /data/users/matthijs/github_faiss/faiss/VectorTransform.h
- /data/users/matthijs/github_faiss/faiss/VectorTransform.cpp